# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Changelog
- `paid` field in ZGoOrder type
- Test for `api/order/:id` endpoint with an invalid ID

## Fixed

- Bug #1: crash when invalid ID was provided to `api/order/:id`

## [0.1.0.1] - 2022-05-20

### Added

- Parametrized fullnode credentials

## [0.1.0.0] - 2022-05-19

### Added

- BOSL license
- API end points
  - Country
  - Block
  - Node address
  - User
  - Owner
  - Order
  - Item
- Processing
  - Zcash transactions to ZGo items
  - Convert login memos to Users
  - Mark Owners as paid when payment is found on chain
  - Mark Owners as expired when expiration date is reached
